Bug 188883 - [PATCH] graphics/py-aafigure: stage
Summary: [PATCH] graphics/py-aafigure: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-22 13:40 UTC by Bartek Rutkowski
Modified: 2014-04-26 22:22 UTC (History)
1 user (show)

See Also:


Attachments
py-aafigure-0.5.patch (1.53 KB, patch)
2014-04-22 13:40 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-22 13:40:00 UTC
- Stage
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-aafigure/0.5/

Port maintainer (tota@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-22 13:40:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tota

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-26 22:03:03 UTC
Author: tota
Date: Sat Apr 26 21:02:58 2014
New Revision: 352374
URL: http://svnweb.freebsd.org/changeset/ports/352374
QAT: https://qat.redports.org/buildarchive/r352374/

Log:
  - Remove indefinite article from COMMENT
  - Fix LICENSE section
  - Use PYDISTUTILS_AUTOPLIST
    * Remove pkg-plist, accordingly
  - Make use of UNIQUENAM
  - Support STAGEDIR
    * Make DOCS and EXAMPLES unconditional to stage
  - Add DOCS and EXAMPLES to OPTIONS_DEFINE to fix default options
  - Unmute INSTALL_DATA and COPYTREE_SHARE in post-install target
  - Use single space after WWW: in pkg-descr
  
  PR:		ports/188883 (based on)
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>

Deleted:
  head/graphics/py-aafigure/pkg-plist
Modified:
  head/graphics/py-aafigure/Makefile
  head/graphics/py-aafigure/pkg-descr

Modified: head/graphics/py-aafigure/Makefile
==============================================================================
--- head/graphics/py-aafigure/Makefile	Sat Apr 26 21:01:23 2014	(r352373)
+++ head/graphics/py-aafigure/Makefile	Sat Apr 26 21:02:58 2014	(r352374)
@@ -3,37 +3,35 @@
 
 PORTNAME=	aafigure
 PORTVERSION=	0.5
+PORTREVISION=	1
 CATEGORIES=	graphics python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	tota@FreeBSD.org
-COMMENT=	An ASCII art to image converter written in Python
+COMMENT=	ASCII art to image converter written in Python
+
+LICENSE=	BSD2CLAUSE
 
 RUN_DEPENDS=	${PYTHON_SITELIBDIR}/PIL/__init__.py:${PORTSDIR}/graphics/py-imaging \
 		${PYTHON_SITELIBDIR}/reportlab/__init__.py:${PORTSDIR}/print/py-reportlab2
 
-LICENSE=	BSD
-LICENSE_FILE=	${WRKSRC}/LICENSE.txt
-
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
-DOCSDIR=	${PREFIX}/share/doc/${PKGNAMEPREFIX}${PORTNAME}
-EXAMPLESDIR=	${PREFIX}/share/examples/${PKGNAMEPREFIX}${PORTNAME}
+DOCSDIR=	${PREFIX}/share/doc/${UNIQUENAME}
+EXAMPLESDIR=	${PREFIX}/share/examples/${UNIQUENAME}
 
 PORTDOCS=	README.txt
 PORTEXAMPLES=	*
 
-NO_STAGE=	yes
+OPTIONS_DEFINE=	DOCS EXAMPLES
+
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/${PORTDOCS} ${DOCSDIR}
-.endif
-.if !defined(NOPORTEXAMPLES)
-	${MKDIR} ${EXAMPLESDIR}
-	cd ${WRKSRC}/examples && ${COPYTREE_SHARE} . ${EXAMPLESDIR}
-.endif
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/${PORTDOCS} ${STAGEDIR}${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	cd ${WRKSRC}/examples && ${COPYTREE_SHARE} . ${STAGEDIR}${EXAMPLESDIR}
 
 .include <bsd.port.mk>

Modified: head/graphics/py-aafigure/pkg-descr
==============================================================================
--- head/graphics/py-aafigure/pkg-descr	Sat Apr 26 21:01:23 2014	(r352373)
+++ head/graphics/py-aafigure/pkg-descr	Sat Apr 26 21:02:58 2014	(r352374)
@@ -4,4 +4,4 @@ ASCII art figures can be parsed and outp
 This project provides a Python package, a command line script as well as
 Docutils and MoinMoin plugins.
 
-WWW:    https://launchpad.net/aafigure/
+WWW: https://launchpad.net/aafigure/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 TAKATSU Tomonari freebsd_committer 2014-04-26 22:20:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!